BillKit/Docs Console
Payments

Get payment

Retrieve one subscription payment, including how much has been refunded.

GET/v1/payments/{payment_id}
Operation get_payment · Scope payments:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
payment_idstring · pathrequiredNo description in the spec.
expandstring | null · queryoptionalAt most 256 characters.

Returns

Returns a PaymentResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the payments:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/payments/pay_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "amount_cents": 1900,
  "amount_disputed_cents": 1900,
  "amount_refundable_cents": 1900,
  "amount_refunded_cents": 1900,
  "checkout_session_id": "cs_9XKp2vQ1",
  "coupon_id": "coup_9XKp2vQ1",
  "created": 1789392000,
  "currency": "EUR",
  "customer": {
    "country_code": "NL",
    "email": "ada@example.com",
    "id": "obj_9XKp2vQ1",
    "name": "Ada Lovelace",
    "object": "customer.summary"
  },
  "customer_id": "cus_9XKp2vQ1",
  "discount_cents": 0,
  "failure_reason": "string",
  "id": "pay_9XKp2vQ1",
  "livemode": false,
  "object": "payment",
  "paid_at": 1789392000,
  "payment_method": "string",
  "status": "string",
  "subscription": {
    "id": "obj_9XKp2vQ1",
    "object": "subscription.summary",
    "price_id": "price_9XKp2vQ1",
    "status": "string"
  },
  "subscription_id": "sub_9XKp2vQ1",
  "type": "string"
}